Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.info
Interface CapabilitiesInfo

All Known Implementing Classes:
  ContainerCapabilitiesInfo

    public interface CapabilitiesInfo

Gathers capability information (portlet modes, window states, supported media types and locales) regarding a portlet.

Since:
  2.4
Version:
  $Revision: 5448 $
Author:
  Julien Viet

Method Summary
`java.util.Set<java.util.Locale>` | `getAllLocales()` Retrieves all the locales supported by the associated Portlet.
`java.util.Set<ModeInfo>` | `getAllModes()` Retrieves all the portlet modes supported by the associated Portlet.
`java.util.Set<WindowStateInfo>` | `getAllWindowStates()` Retrieves all the window states supported by the associated Portlet.
`java.util.Set<java.util.Locale>` | `getLocales(org.jboss.portal.common.net.media.MediaType mimeType)` Retrieves the locales supported by the associated Portlet for the specified MIME type.
`java.util.Set<org.jboss.portal.common.net.media.MediaType>` | `getMediaTypes()` Retrieves all the Media types supported by the associated Portlet.
`ModeInfo` | `getMode(org.jboss.portal.Mode mode)` Returns a mode info matching a specifed mode or null.
`java.util.Set<ModeInfo>` | `getModes(org.jboss.portal.common.net.media.MediaType mediaType)` Retrieves the portlet modes supported by the associated Portlet for the specified Media type.
`WindowStateInfo` | `getWindowState(org.jboss.portal.WindowState windowState)` Returns a window state info matching a specifed window state or null.
`java.util.Set<WindowStateInfo>` | `getWindowStates(org.jboss.portal.common.net.media.MediaType mimeType)` Retrieves the window states supported by the associated Portlet for the specified MIME type.

Method Detail

### getMediaTypes

    java.util.Set<org.jboss.portal.common.net.media.MediaType> getMediaTypes()

  Retrieves all the Media types supported by the associated Portlet.

  Returns:
    a Set of String representation of supported Media types

### getAllModes

    java.util.Set<ModeInfo> getAllModes()

  Retrieves all the portlet modes supported by the associated Portlet.

  Returns:
    a Set of `ModeInfo` reprensenting the supported portlet modes

### getModes

    java.util.Set<ModeInfo> getModes(org.jboss.portal.common.net.media.MediaType mediaType)

  Retrieves the portlet modes supported by the associated Portlet for the specified Media type.

  Parameters:
    `mediaType` - the media type
  Returns:
    a Set of `ModeInfo` reprensenting the supported portlet modes for the specified Media type

### getMode

    ModeInfo getMode(org.jboss.portal.Mode mode)

  Returns a mode info matching a specifed mode or null.

  Parameters:
    `mode` - the mode
  Returns:
    the mode info

### getAllWindowStates

    java.util.Set<WindowStateInfo> getAllWindowStates()

  Retrieves all the window states supported by the associated Portlet.

  Returns:
    a Set of `WindowStateInfo` reprensenting the supported window states

### getWindowStates

    java.util.Set<WindowStateInfo> getWindowStates(org.jboss.portal.common.net.media.MediaType mimeType)

  Retrieves the window states supported by the associated Portlet for the specified MIME type.

  Parameters:
    `mimeType` - the mime type
  Returns:
    a Set of `ModeInfo` reprensenting the supported window states for the specified MIME type

### getWindowState

    WindowStateInfo getWindowState(org.jboss.portal.WindowState windowState)

  Returns a window state info matching a specifed window state or null.

  Parameters:
    `windowState` - the window state
  Returns:
    the window state info

### getAllLocales

    java.util.Set<java.util.Locale> getAllLocales()

  Retrieves all the locales supported by the associated Portlet.

  Returns:
    the Set of supported `Locale`s

### getLocales

    java.util.Set<java.util.Locale> getLocales(org.jboss.portal.common.net.media.MediaType mimeType)

  Retrieves the locales supported by the associated Portlet for the specified MIME type.

  Parameters:
    `mimeType` - the mime type
  Returns:
    a Set of supported `Locale`s for the specified MIME type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.